%define		_requires_exceptions  pear(config.php)
%define		_class		Net
%define		_subclass	FTP
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.4.0a3
Release:	%mkrel 5
Summary:        Net_FTP provides an OO interface to the PHP FTP functions plus some additions
License:        PHP License
Group:          Development/PHP
URL:            http://pear.php.net/package/Net_FTP
Source0:        http://pear.php.net/get/Net_FTP-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
Conflicts:	php-pear-DB_Sqlite_Tools
BuildArch:      noarch

%description
Net_FTP allows you to communicate with FTP servers in a more comfortable
way
than the native FTP functions of PHP do. The class implements everything
natively
supported by PHP and additionally features like recursive up- and
downloading,
dircreation and chmodding. It also implements an observer pattern to allow
for example the view of a progress bar.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_FTP.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_FTP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_FTP
fi

%files
%doc docs/Net_FTP/*
%{peardir}/*
%{xmldir}/Net_FTP.xml


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.4.0a3-5.mga4
+ Revision: 545762
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 spuhler <spuhler> 1.4.0a3-4.mga4
+ Revision: 501780
- removed version on conflicts

* Mon Oct 14 2013 spuhler <spuhler> 1.4.0a3-3.mga4
+ Revision: 496660
- added Conflicts: php-pear-DB_Sqlite_Tools-0.1.7

* Mon Oct 07 2013 spuhler <spuhler> 1.4.0a3-2.mga4
+ Revision: 492775
- added %%define _requires_exceptions  pear(config.php)

* Sat Oct 05 2013 spuhler <spuhler> 1.4.0a3-1.mga4
+ Revision: 491998
- upgrade to version 1.4.0a3
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.3.7-6.mga3
+ Revision: 376933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 1.3.7-5.mga1
+ Revision: 27945
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_FTP


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.7-5mdv2011.0
+ Revision: 607122
- rebuild

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.7-4mdv2010.1
+ Revision: 468697
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3.7-3mdv2010.0
+ Revision: 426659
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.7-2mdv2009.1
+ Revision: 321879
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.7-1mdv2009.0
+ Revision: 272592
- 1.3.7

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-3mdv2009.0
+ Revision: 224756
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-2mdv2008.1
+ Revision: 178526
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-1mdv2007.0
+ Revision: 81176
- Import php-pear-Net_FTP

* Sat Apr 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-1mdk
- 1.3.2

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdk
- initial Mandriva package (PLD import)

